Subject: Re: [PATCH] powermac: defer work in backlight key press

From: Johannes Berg <[email-masked]>
Date: Tue, 04 Jul 2006 13:16:21 +0200

On Tue, 2006-07-04 at 08:03 -0300, Aristeu Sergio Rozanski Filho wrote:
> today pmac_backlight_key() is called either with 0 (to reduce backlight
> level) or 1 (to increase).

Oh, it looked on first look like it was -1 or 1, I see it now.

> I found that actually happening two
> keystrokes between interrupt being serviced and actually running that
> work queue would be so damn small that the extra code wouldn't be worth.
> but if you think it's worth for, I can fix it, no problem.

Yeah, you're right. Unless that thing has some fast repeat if you hold
keys... Not sure what I was thinking.

johannes